import { BaseElementListViewWidget } from '../../../basic';
import { UploadStatus } from '../../typing';
export declare class IconManageGalleryWidget extends BaseElementListViewWidget {
    initialize(props: any): this;
    uploadStatus: UploadStatus;
    setUploadStatus(status: UploadStatus): void;
    /**
     * 空数据提示
     */
    protected get emptyText(): any;
    /**
     * 空数据图片
     */
    protected get emptyImage(): any;
}
